# Правила составления имени устройства

При назначении имён устройствам (hostname), необходимо придерживаться следующих правил.

## Полное именование

Шаблон имени состоит из полей, разделённых знаком «-»

```Поле1-Поле2-Поле3-Поле4```

Максимально возможное количество полей: 4

### Поле1

Содержит информацию о типе устройства и школе. Так же может содержать информацию о типе использования.

#### Структура

```xyyyy``` или ```sxyyyy```

x - тип устройства|yyyy - школа|s - тип использования
---|---|---
**с** - компьютер (системный блок+монитор)|Номер или сокращение|Первый символ s (student) означает использование устройства в качестве компьютера ученика
**n** - ноутбук|Примеры:| 
**m** - моноблок|1111|
**p** - интерактивная панель|kur (Курчатовская)|
**t** - планшет|cg (Цифровая гимназия)|
**e** - embeded устройство (Raspberry Pi, например)|

### Поле2

Содержит информацию о учебном корпусе. Можно указывать либо номер, либо сокращение. Например: sol == Солнце, mars == Марс, 3 == корпус 3

### Поле3

Содержит информацию о помещении, где располагается устройство. Можно указывать либо номер, либо сокращение. Например: ip1 == ИТ полигон 1, 3 == кабинет 3

### Поле4

Содержит номер устройства. При наличии поля 2 и поля 3 указывается номер устройства в кабинете. Данный вариант является стандартом для компьютерных классов.

Пример 1: ```hostnamectl hostname smсg-2-l2-1```

(моноблок ученика из лаборатории No2 в корпусе No 2 Цифровой гимназии)

Пример 2: ```hostnamectl hostname n1111-5-308-0```

(ноутбук учителя из кабинета 308 в корпусе No 5 школы No 1111)

Пример 3: ```hostnamectl hostname sm4444-sol-111-6```

(моноблок ученика под номером 6 из кабинета 111 УК «Солнце» школы No 4444)

Пример 4: ```hostnamectl hostname mkras-7-13-0```

(моноблок учителя под номером 10 из кабинета 13 УК No7 школы Красовка)

## Именование без полей 2 и 3

При отсутствии поля 3 и/или поля 2, поле 4 может содержать принятую в ОУ сквозную нумерацию устройств по всему корпусу или по всей школе с использованием собственных правил.

При удалении полей возможны только следующие варианты именований:

```Поле1-Поле2-Поле4``` и ```Поле1-Поле4```

Никакие другие варианты неприемлемы.

Пример 1: ```hostnamectl hostname mсg-f6732```

(моноблок с собственным идентификатором *f6732* Цифровой гимназии)

Пример 2: ```hostnamectl hostname n1111-5-548```

(ноутбук с номером *548* корпусе No 5 школы No 1111)

